Bug 23140 - Typo in returns.tt prevents printing branchcode in transfer slips
Summary: Typo in returns.tt prevents printing branchcode in transfer slips
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 22977
  Show dependency treegraph
 
Reported: 2019-06-17 17:58 UTC by Nick Clemens
Modified: 2019-07-19 18:12 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.02


Attachments
Bug 23140: Fix typo in branchcode parameters for print slip (3.03 KB, patch)
2019-06-17 18:02 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23140: Fix typo in branchcode parameters for print slip (3.09 KB, patch)
2019-06-18 00:41 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 23140: Fix typo in branchcode parameters for print slip (3.18 KB, patch)
2019-06-21 07:36 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-06-17 17:58:46 UTC
data-url="transfer-slip.pl?transferitem=ITEMNUMBER&&branchcodeCODE&op=slip"

should be:

data-url="transfer-slip.pl?transferitem=ITEMNUMBER&&branchcode=CODE&op=slip"

Note the missing '=' after branchcode
Comment 1 Nick Clemens 2019-06-17 18:02:09 UTC
Created attachment 90686 [details] [review]
Bug 23140: Fix typo in branchcode parameters for print slip

To test:
1 - Have [% branch.branchcode %] in your TRANSFERSLIP
2 - Checkin an item from another branch (with AutomaticItemReturn = do )
3 - Inspect the button in the browser to see the typo
4 - Click 'Print slip'
5 - Note the branchcode is not populated
6 - Clear the transfer
7 - Apply patch
8 - Repeat
9 - Note typo is fixed and slip correctly populated
Comment 2 M. Tompsett 2019-06-18 00:40:19 UTC
Found that I didn't get an internal error with this applied. So, I just made this see also bug 23120.
Comment 3 M. Tompsett 2019-06-18 00:41:10 UTC
Created attachment 90710 [details] [review]
Bug 23140: Fix typo in branchcode parameters for print slip

To test:
1 - Have [% branch.branchcode %] in your TRANSFERSLIP
2 - Checkin an item from another branch (with AutomaticItemReturn = do )
3 - Inspect the button in the browser to see the typo
4 - Click 'Print slip'
5 - Note the branchcode is not populated
6 - Clear the transfer
7 - Apply patch
8 - Repeat
9 - Note typo is fixed and slip correctly populated

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 4 Marcel de Rooy 2019-06-21 07:36:15 UTC
Created attachment 90876 [details] [review]
Bug 23140: Fix typo in branchcode parameters for print slip

To test:
1 - Have [% branch.branchcode %] in your TRANSFERSLIP
2 - Checkin an item from another branch (with AutomaticItemReturn = do )
3 - Inspect the button in the browser to see the typo
4 - Click 'Print slip'
5 - Note the branchcode is not populated
6 - Clear the transfer
7 - Apply patch
8 - Repeat
9 - Note typo is fixed and slip correctly populated

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Martin Renvoize 2019-06-21 09:16:17 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-07-16 06:18:24 UTC
Pushed to 19.05.x for 19.05.02
Comment 7 Lucas Gass 2019-07-19 18:12:19 UTC
backported to 18.11.x for 18.11.08